# -------------------------------------------------------------------------------------
# flo::Template::Include
# -------------------------------------------------------------------------------------
#
#    Author   : Jean-Michel Hiver                                (c) MKDoc Holding Ltd.
#    Synopsis : Provides the implementation for the
#               <% include ... %> tag.
#
# -------------------------------------------------------------------------------------
package flo::Template::Include;
use MKDoc::Unicode;
use lib::Template::Include;
use lib::Exception;
use lib::Template;
use lib::Config;
use strict;
use 5.6.0;
use utf8;

our @ISA = qw /lib::Template::Include/;


sub get_filepath
{
    my $self = shift;
    my $config = new lib::Config ('flo.Template');
    my $file = shift;
    my $base_dir = $config->get ('BASE_DIR');
    $base_dir =~ s/\/$//;
    $file =~ s/^\///;
    
    my $res = $base_dir . '/' . $file;
    u_mark (\$res);
    return $res;
}


1;

