# -------------------------------------------------------------------------------------
# flo::Template::URIEncode
# -------------------------------------------------------------------------------------
#
#    Author   : Jean-Michel Hiver                                (c) MKDoc Holding Ltd.
#
# -------------------------------------------------------------------------------------
package flo::Template::HTTP;
use lib::Template::AbstractBalancedTag;
use lib::Exception;
use lib::Template;
use lib::cgi::CGI;
use flo::HTTP::Header;
use strict;
use 5.6.0;
use utf8;

our @ISA = qw /lib::Template::AbstractBalancedTag/;


##
# $obj->main;
# -----------
#   Parses and displays the value of a variable.
#   <% sticker name="my.nifty.sticker" %>
##
sub main
{
    my $self   = shift;
    my $result = $self->result;
    my $tokens = $self->tokens;
    
    # parses $tokens to extract the Anchor data
    my ($info, $data) = $self->parse ($tokens);
    $data = $self->{class}->new ( data => $data, hash => $self->{hash} )->parse;
    
    my $header = new flo::HTTP::Header();
    foreach my $line (split /\n/, $data)
    {
	$header->set ($line);
    }
}


1;







