# There was a bug with unicode and flo::Editor::generate_xml
# when using more than one component with unicode text
# this test checks if is works properly
use lib qw /../;
use MKDoc::XML::Tree;
use XML::Parser;
use MKDoc;
use strict;

eval
{
    # MKDoc::XML::Tree doesn't preserve attributes order
    # so don't test with more than one attribute
    my $data = <<'EOF';
<foo>
  <bar foo="baz">
    Some text
    <strong>Some strong stuff</strong>
    Some more text
  </bar>
</foo>
EOF

    chomp ($data);
    my $tree = new MKDoc::XML::Tree ($data);
    
    die '\$data ne MKDoc::XML::Tree->new ($data)->text'
	unless ( $data eq MKDoc::XML::Tree->new ($data)->text );
};

if (defined $@ and ref $@) { $@ = "\n" . Dumper ($@) . "\n" }
die $@ if (defined $@ and $@);
